RubyGems Navigation menu

rodauth 2.35.0

Rodauth is Ruby's most advanced authentication framework, designed to work in all rack applications. It's built using Roda and Sequel, but it can be used as middleware in front of web applications that use other web frameworks and database libraries. Rodauth aims to provide strong security for password storage by utilizing separate database accounts if possible on PostgreSQL, MySQL, and Microsoft SQL Server. Configuration is done via a DSL that makes it easy to override any part of the authentication process. Rodauth supports typical authentication features: such as login and logout, changing logins and passwords, and creating, verifying, unlocking, and resetting passwords for accounts. Rodauth also supports many advanced authentication features: * Secure password storage using security definer database functions * Multiple primary multifactor authentication methods (WebAuthn and TOTP), as well as backup multifactor authentication methods (SMS and recovery codes). * Passwordless authentication using email links and WebAuthn authenticators. * Both standard HTML form and JSON API support for all features.

Gemfile:
= クリップボードにコピー コピー完了!

インストール:
=

バージョン履歴:

  1. 2.35.0 - May 28, 2024 (206KB)
  2. 2.34.0 - March 22, 2024 (206KB)
  3. 2.33.0 - December 21, 2023 (205KB)
  4. 2.32.0 - October 23, 2023 (204KB)
  5. 2.31.0 - August 22, 2023 (201KB)
全てのバージョンを表示(全65件)

Runtime依存関係 (2):

roda >= 2.6.0
sequel >= 4

Development依存関係 (13):

argon2 >= 2
bcrypt >= 0
capybara >= 2.1.0
jwt >= 0
mail >= 0
minitest >= 5.0.0
minitest-hooks >= 1.1.0
rack_csrf >= 0
rotp >= 0
rqrcode >= 0
tilt >= 0
webauthn >= 2

所有者:

プッシュ者:

作者:

  • Jeremy Evans

SHA 256チェックサム:

a92a42207285aa8f5a980e6145037db173473c921b40da304e3a6b55d31b946f

累計ダウンロード数 372,821

このバージョンのみ 3,052

ライセンス:

MIT

必要なRubyのバージョン: >= 1.9.2

リンク: